<?php

// for Automattic's AMP plugin
function bny_for_amp_plugin($metadata, $post) {
	$metadata['@type'] = 'Article';

	$metadata['publisher']['logo'] = array(
		'@type' => 'ImageObject',
		'url' => get_template_directory_uri() . '/images/amp_logo.png',
		'height' => 60,
		'width' => 600,
	);

	if (empty($metadata['image'])) {
		$metadata['image'] = array(
			'@type' => 'ImageObject',
			'url' => get_template_directory_uri() . '/images/amp_default.png',
			'height' => 720,
			'width' => 1280,
		);
	}
	return $metadata;
}
add_filter('amp_post_template_metadata', 'bny_for_amp_plugin', 10, 2);

